# $Revision: 1.44 $, $Date: 2008/08/12 10:27:25 $
%include	/usr/lib/rpm/macros.perl
Summary:	INN spam filter
Summary(pl.UTF-8):	Filtr spamu dla INN
Name:		cleanfeed
%define		_srcver	20020501
%define		_ver	20080809
Version:	%{_ver}
Release:	2
License:	Artistic License 2.0
Group:		Networking/Daemons
Source0:	http://www.bofh.it/~md/cleanfeed/%{name}-%{_srcver}.tgz
# Source0-md5:	8535cc55d63a1932a447d09829b6aa97
Source1:	%{name}.8
# http://groups.google.pl/group/news.software.nntp/msg/e652742ab7ff0f0a
# http://www.mixmin.net/cleanfeed.diff
Patch0:		%{name}-%{_ver}.diff
Patch1:		%{name}-conf.patch
URL:		http://www.bofh.it/~md/cleanfeed/
BuildRequires:	rpm-perlprov
Requires:	perl-Digest-MD5
Conflicts:	inn < 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/news

%description
Cleanfeed is an automatic filter for INN that removes spam from
incoming newsfeeds.

%description -l pl.UTF-8
Automatyczny filtr spamu dla serwerów news.

%prep
%setup -q -n %{name}-%{_srcver}
%patch0 -p7
%patch1 -p1

%build
# INN 2.3.x hack
sed -i -e "s|\$lines = \$hdr{'__BODY__'} =~ tr/\\\n/\\\n/;|\$lines = \$hdr{'__LINES__'};|g" cleanfeed

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_mandir}/man8,%{_datadir}/news/filter}

install bad_adult_paths bad_hosts bad_cancel_paths bad_paths $RPM_BUILD_ROOT%{_sysconfdir}
install cleanfeed.local.sample $RPM_BUILD_ROOT%{_sysconfdir}/cleanfeed.local

install cleanfeed $RPM_BUILD_ROOT%{_datadir}/news/filter/filter_innd.pl
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES HACKING README TODO cleanfeed.local.sample-it highwind.pl tools
%attr(640,root,news) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%{_datadir}/news/filter/filter_innd.pl
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cleanfeed.spec,v $
Revision 1.44  2008/08/12 10:27:25  blues
- rel.2

Revision 1.43  2008/08/12 10:02:23  blues
- 20080809 - massive attack

Revision 1.42  2008/08/12 09:14:43  blues
- rel.15

Revision 1.41  2008/08/07 17:50:25  arekm
- release 14

Revision 1.40  2007-02-12 21:23:51  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.38  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.37  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.36  2005/06/05 00:55:45  zbyniu
- BR: rpm-perlprov

Revision 1.35  2005/05/30 00:12:08  zbyniu
- BR: perl-base

Revision 1.34  2004/08/18 19:32:46  undefine
- release 13

Revision 1.33  2003/11/11 01:42:27  ankry
- caps unification, other cosmetics

Revision 1.32  2003/08/26 23:19:16  gotar
- no // in paths, sort, white space cleaning

Revision 1.31  2003/08/06 16:47:15  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.30  2003/05/26 16:24:48  malekith
- massive attack: adding Source-md5

Revision 1.29  2003/05/25 05:46:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2002/10/10 12:41:42  marcus
- use new %%doc

Revision 1.27  2002/04/25 16:05:42  arturs
fixed a small typo

Revision 1.26  2002/02/23 01:33:40  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:12:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.22  2001/04/17 12:04:17  baggins
- release 12
- rebuild with perl 5.6.1

Revision 1.21  2001/04/14 18:00:03  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.20  2001/02/22 13:48:03  kloczek
- release 11 (for allow upgrade from RH),
- spec adapterized.

Revision 1.19  2001/01/22 14:01:50  baggins
- added conflicts inn < 2.3

Revision 1.18  2001/01/22 13:59:59  baggins
- release 4
- hacked for INN 2.3.x

Revision 1.17  2000/12/09 17:55:13  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.16  2000/05/18 17:11:04  kloczek
- spec adapterized.

Revision 1.15  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.13  2000/02/05 19:24:47  waszi
- small fixes

Revision 1.12  2000/02/03 23:25:18  kloczek
- release 3.

Revision 1.11  2000/02/03 23:21:51  kloczek
- changed to root.root on filter_innd.pl.

Revision 1.10  1999/11/03 07:29:03  waszi
- fixed for INN

Revision 1.9  1999/09/06 11:50:12  wiget
- fix Requires:

Revision 1.8  1999/09/05 12:34:44  kloczek
- added using %%{_sysconfdir} macro.

Revision 1.7  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.6  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Wed Dec 09 1998 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
  [0.95.7b-2]
- build for PLD Tornado,
- rewrote spec file.

* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- update to 0.95.7b

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- spec file cleanups
- patch to get rod of /usr/local/bin/perl

* Mon Apr 13 1998 Bryan C. Andregg <bandregg@redhat.com>
- first package
